CEGUI Logo
This issue tracker is now in read-only mode. We migrated all our old bug reports to our bitbucket issue tracker
Please use our new issue tracker to report bugs. You can easily find all mantis tickets on our new issue tracker by selecting the appropriate bitbucket repo (CEGUI/CEED/Silly) and searching for the mantis ticket ID number.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000231CEGUICore library (CEGUIBase)public2008-10-06 10:032010-08-09 23:16
ReporterCrazyEddie 
Assigned ToCrazyEddie 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.6.0 
Target VersionFixed in VersionMercurial: default branch 
Summary0000231: EventMouseEnters / EventMouseLeaves parent / child issues
DescriptionWhen subscribed to EventMouseEnters / Event MouseLeaves on a parent window, if the mouse is moving fast, or if there are child windows right on the boundaries of the parent window, the parent never has it's EventMouseEnters event triggered, even though this would usually be desirable.

See: http://www.cegui.org.uk/phpBB2/viewtopic.php?t=3581 [^] and also, http://www.cegui.org.uk/phpBB2/viewtopic.php?t=3417. [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000478)
CrazyEddie (administrator)
2010-08-09 23:16

Resolved in branches/v0-7 r2585 by adding Window::EventMouseEntersArea and Window::EventMouseLeavesArea events that exhibit the more expected behaviour.

- Issue History
Date Modified Username Field Change
2008-10-06 10:03 CrazyEddie New Issue
2010-03-21 09:31 CrazyEddie Status new => assigned
2010-03-21 09:31 CrazyEddie Assigned To => CrazyEddie
2010-08-09 23:16 CrazyEddie Note Added: 0000478
2010-08-09 23:16 CrazyEddie Status assigned => resolved
2010-08-09 23:16 CrazyEddie Fixed in Version 0.8.3 => Mercurial: default branch
2010-08-09 23:16 CrazyEddie Resolution open => fixed
Get Crazy Eddies GUI System at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker